#include "alloc.h"
#include <sys/mman.h>
#include <assert.h>
#include <stdio.h>

struct my_memory_buffer {
	char* buffer;
	size_t pos ;
	size_t size ;
};

static struct my_memory_buffer my_buf;


__attribute__((constructor))
static void my_module_initialize(void)
{
	// TODO 
	// Init my_buf (8Mo)
	// with mmap
}


void * my_alloc(size_t sz)
{
	// TODO
	return NULL;
}

